import { errorIfNotInteger } from 'basic-data-handling/errorIfNotInteger';
import { errorIfNotArray } from 'basic-data-handling/errorIfNotArray';


// index can be negative or positive.

export function indexIsValid(index, array): boolean {
	errorIfNotInteger(index);
	errorIfNotArray(array);
	if (index < 0) {
		let positiveIndex = -index;
		return (positiveIndex <= array.length);
	}
	else return (index < array.length);
}
