import { errorIfIndexNotValid } from './errorIf/errorIfIndexNotValid';
import { errorIfNotFunction } from 'basic-data-handling/errorIfNotFunction';


// index can be negative or positive.

export function ifIndexValid_getActionResult(index, action: Function, array): any {
	errorIfIndexNotValid(index, array);
	errorIfNotFunction(action);
	return action();
}
